Bug 546909 - The live base ks tries to copy a nonexistant file into the image (readme-live-image-en_US.txt)
The live base ks tries to copy a nonexistant file into the image (readme-live...
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-12-12 10:58 EST by Bruno Wolff III
Modified: 2010-06-03 01:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-03 01:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-12-12 10:58:34 EST
Description of problem:
When running livecd-creator on a kickstart file that uses fedora-live-base.ks you get a nonfatal error message during the build:
cp: cannot stat `/spare/tmp/imgcreate-AWLM8Y/install_root/usr/share/doc/HTML/readme-live-image/en_US/readme-live-image-en_US.txt': No such file or directory

This happens when running the following command in the %post section of fedora-live-base.ks:
cp $INSTALL_ROOT/usr/share/doc/HTML/readme-live-image/en_US/readme-live-image-en_US.txt $LIVE_ROOT/README

I was not able to figure out if this file is still included in the distro or where to find it if it is. The /usr/share/doc/HTML/ directory is layed out differently than when that command was added.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bruno Wolff III 2010-06-02 17:31:30 EDT
I asked for help on the Docs list since they still seem to be working on the upstream version of this.
Comment 2 Bruno Wolff III 2010-06-03 01:06:01 EDT
The docs team said the file was no longer packaged. It was felt that the documentation wasn't very valuable after you had a live image in your hands.
I changed the master branch to not try to copy this file.

Note You need to log in before you can comment on or make changes to this bug.